PETSc version 3.15.5
Fix/Edit manual page

# DMFieldGetNumComponents

Returns the number of components in the field

### Synopsis

    #include "petscdmfield.h"
    #include "petscdmfield.h"
    PetscErrorCode DMFieldGetNumComponents(DMField field, PetscInt *nc)

Not collective

### Input Parameter

| field | - The DMField object

### Output Parameter

| nc | - The number of field components

### See Also

DMFieldEvaluate()

### Level

intermediate

### Location

src/dm/field/interface/dmfield.c

### Examples

src/dm/field/tutorials/ex1.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages